Bug 425073 - Can't configure software sources through Muon package manager
Summary: Can't configure software sources through Muon package manager
Status: REOPENED
Alias: None
Product: muon
Classification: Applications
Component: muon (show other bugs)
Version: unspecified
Platform: Kubuntu Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Jonathan Thomas
URL:
Keywords:
: 435111 (view as bug list)
Depends on:
Blocks:
 
Reported: 2020-08-06 12:02 UTC by cuppajoe
Modified: 2022-07-28 10:01 UTC (History)
12 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
dialog window error (256.39 KB, image/png)
2020-08-06 12:02 UTC, cuppajoe
Details

Note You need to log in before you can comment on or make changes to this bug.
Description cuppajoe 2020-08-06 12:02:52 UTC
Created attachment 130678 [details]
dialog window error

SUMMARY

"Configure software sources" from muon package manager does not work, but it works through Discover package manager.


STEPS TO REPRODUCE
1. Muon and software-properties-qt or common already installed in a 18.04 based
2. Upgrade to 20.04, run muon (alt+F2 and type muon)
3. configure software sources

OBSERVED RESULT

It appears a dialog that says "software-properties-kde" not present. However, it doesn't exist in repositories. Installing from konsole and apt says that package software-properties-kde is (now) obsolete and the replacement is "software-properties-qt". But installing this new package doesn't fix the problem and it persists. 


EXPECTED RESULT


SOFTWARE/OS VERSIONS
Windows: 
macOS: 
Linux/KDE Plasma: 
(available in About System)
KDE Plasma Version: 
KDE Frameworks Version: 
Qt Version: 

ADDITIONAL INFORMATION
Comment 1 aeneid 2020-08-11 09:27:52 UTC
Same problem. When clicking on Settings > Configure Software Sources:

> Could not find <command>software-properties-kde</command> on your system, please install it. Alternatively, you can use <application>Plasma Discover</application> to configure software sources.

Running "sudo apt install -y software-properties-kde"

>Reading package lists... Done
>Building dependency tree       
>Reading state information... Done
>Package software-properties-kde is not available, but is referred to by another package.
>This may mean that the package is missing, has been obsoleted, or
>is only available from another source
>However the following packages replace it:
>  software-properties-qt muon
Comment 2 Carlo Vanini 2020-08-16 23:02:36 UTC
software-properties-kde has indeed been replaced by software-properties-qt.
It has been fixed in Muon after 5.8.0, but a new version is not released yet.
https://invent.kde.org/system/muon/-/commit/8e18f65b8b7a285ff6edaa5391126afb2c09773b

As a workaround you can start software-properties directly from the applications menu or by running
kdesudo software-properties-qt
Comment 3 mgolden 2020-12-12 17:50:40 UTC
I am closing this based on the comment below.
Comment 4 mgolden 2020-12-12 17:52:32 UTC
Sorry, misread the below. I will look into what needs to be done.
Comment 5 Lance Haverkamp 2021-01-10 23:08:59 UTC
Using Muon Package Manager Version 5.8.0 in KDE Neon.  Still broken.  Adding software-properties-kde is not available in repos.  Adding software-properties-qt installs, but does not solve the problem.  Additionally, adding qapt-batch, which was suggested in an older thread also did bot help.
Comment 6 Sadi 2021-04-07 15:12:33 UTC
It's still there, and my workaround for this problem has been this:

cd /usr/bin
sudo ln -s "software-properties-qt" "software-properties-kde"

Ideally, Muon should be looking for "software-properties-qt" instead of (or in addion to) "software-properties-kde".

Operating System: KDE neon 5.21
KDE Plasma Version: 5.21.4
KDE Frameworks Version: 5.80.0
Qt Version: 5.15.2
OS Type: 64-bit
Comment 7 Patrick Silva 2021-06-01 14:42:11 UTC
works for me on neon unstable.
Comment 8 Patrick Silva 2021-06-01 14:43:28 UTC
*** Bug 435111 has been marked as a duplicate of this bug. ***
Comment 9 Stefan Zurucker 2022-02-21 07:52:41 UTC
I can confirm that opening the software sources through Discover works, as does opening "software-properties-qt" through the terminal. But the original issue persists: Without workarounds it's not possible to edit the list of software sources through Muon.

Muon: 5.8.0
Operating System: KDE neon 5.24
KDE Plasma Version: 5.24.1
KDE Frameworks Version: 5.91.0
Qt Version: 5.15.3
Comment 10 kevinmathieu2020 2022-04-22 23:14:26 UTC
hi, i have the exact same issues with kubuntu 22.04 and also happen when trying to oppen software sources on discover (which is not translated into French, which is strange because I remember that it was the case).

couldn't install wine properly because of this :(

Addind ppa and trusting key via termina is not working even if I am validated as sudo

have a good day
Comment 11 Sadi 2022-04-23 08:09:31 UTC
(In reply to kevinmathieu2020 from comment #10)

You may like to try my workaround in comment 6: https://bugs.kde.org/show_bug.cgi?id=425073#c6

PS: In the end, I've decided to replace Muon with Synaptic as my package manager because of things like this.
Comment 12 Alex A.D. 2022-07-27 21:38:10 UTC
Hi. Having the same issue after installing a recent update from 20.04 to 22.04LTS

The advise on linking the `software-properties-kde` to `software-properties-qt`  didn't help. I'm already having it:
    $ ll `which software-properties-kde`
    $ /usr/bin/software-properties-kde -> software-properties-qt
Comment 13 Alex A.D. 2022-07-28 10:01:13 UTC
In addition to the said above, I'm also experiencing the same issue in Discover application when trying to access `software-properties-qt`. Seems like the issue can be narrowed down to `software-properties-qt` itself.